콘텐츠로 건너뛰기

Stepx Edit2

통합

모델 id stepx-edit2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stepx-edit2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.20 200 API 크레딧 · ≈ ₽21.09 이 페이지에서 실행

API 키 받기
StepFun 이미지 편집

추상적 편집을 위한 선택적 사고 및 반영 패스를 제공하는 지시 기반 이미지 편집기

StepFun · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지 생성을 안내하는 프롬프트입니다.

•필수 image_url
파일을 끌어다 놓거나

생성 소스를 이미지 URL로 제공합니다. 소스 이미지와 마스크의 크기가 동일해야 합니다.

고급 negative_prompt · output_format · guidance_scale · num_inference_steps · seed · enable_thinking_mode · enable_reflection_mode · enable_safety_checker
기본값

제외할 이미지 세부 정보를 지정하는 네거티브 프롬프트입니다. 색상, 객체, 풍경 또는 콧수염·흐림·낮은 해상도 같은 세부 특징을 제외할 수 있습니다.

output_format 기본값 jpeg

결과 이미지의 파일 형식입니다.

기본값 6

모델의 프롬프트 준수 정도를 결정하는 실제 CFG 스케일입니다.

기본값 50

추론 단계 수이며 50을 권장합니다.

재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.

POST /run/stepx-edit2?wait=20 견적 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stepx-edit2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Stepx Edit2 정보

`image_url`의 이미지를 `prompt`에 따라 편집합니다. `enable_thinking_mode`는 멀티모달 언어 모델로 추상적 지시를 해석하고, `enable_reflection_mode`는 결과를 검토해 의도하지 않은 변경을 수정합니다. 응답에는 `reformat_prompt`, `think_info` 및 `best_info`가 포함될 수 있습니다. 단계 수는 최대 100(기본값 50)이며 출력은 jpeg 또는 png입니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
이미지 생성을 안내하는 프롬프트입니다.
image_url필수 image
유형url · image
생성 소스를 이미지 URL로 제공합니다. 소스 이미지와 마스크의 크기가 동일해야 합니다.
negative_prompt선택 사항
유형string
기본값
제외할 이미지 세부 정보를 지정하는 네거티브 프롬프트입니다. 색상, 객체, 풍경 또는 콧수염·흐림·낮은 해상도 같은 세부 특징을 제외할 수 있습니다.
seed선택 사항
유형integer | null
재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.
guidance_scale선택 사항
유형number
기본값6
0 – 20
모델의 프롬프트 준수 정도를 결정하는 실제 CFG 스케일입니다.
num_inference_steps선택 사항
유형integer
기본값50
1 – 100
추론 단계 수이며 50을 권장합니다.
enable_thinking_mode선택 사항
유형boolean
기본값true
사고 모드를 활성화하여 멀티모달 언어 모델의 지식을 추상적인 편집 지침에 활용합니다.
enable_reflection_mode선택 사항
유형boolean
기본값true
성찰 모드는 결과를 검사하고 의도하지 않은 변경을 수정하여 편집을 중단해도 되는지 확인합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사기 활성화입니다. true는 검사를 활성화합니다.
output_format선택 사항
유형enum
기본값jpeg
jpegpng
결과 이미지의 파일 형식입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stepx-edit2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string",
    "reformat_prompt": "string",
    "think_info": [
      "string"
    ],
    "best_info": [
      {}
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, width, height, content_type}모델이 생성한 이미지입니다.
timings
object
seed
integer이미지 생성 시드입니다. 입력에서 시드를 생략하면 무작위로 선택된 값이 포함되고, 그렇지 않으면 제공한 값이 반복됩니다.
has_nsfw_concepts
array of boolean생성된 이미지에 NSFW 개념이 나타나는지 나타냅니다.
prompt
string이미지 생성에 사용되는 프롬프트입니다.
reformat_prompt
string | null사고 모드가 활성화되면 응답에 모델이 지침을 이해한 방식이 포함됩니다. 그렇지 않으면 이 해석을 사용할 수 없습니다.
think_info
array of string | null사고 모드가 활성화된 경우에만 제공되는 추론 과정의 세부 정보입니다.
best_info
array of object | null성찰 모드가 활성화된 경우에만 제공되는 성찰 분석입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/stepx-edit2.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt